# PipeWire Port

struct WpPort

  The WpPort class allows accessing the properties and methods of a PipeWire port object (`struct pw_port`).

  A WpPort is constructed internally when a new port appears on the PipeWire registry and it is made available through the WpObjectManager API.

enum WpDirection

  The different directions that a port can have.

  Values:

  enumerator WP_DIRECTION_INPUT

    a sink, consuming input

  enumerator WP_DIRECTION_OUTPUT

    a source, producing output

WpDirection wp_port_get_direction(WpPort *self)

  Gets the current direction of the port.

  Remark

  Requires WP_PIPEWIRE_OBJECT_FEATURE_INFO

  Parameters:

    - self – the port

  Returns:

    the current direction of the port

WP_TYPE_PORT (wp_port_get_type ())

  The WpPort GType.